package cn.ezhizao.project.business.deposit.service;

import java.math.BigDecimal;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.deposit.domain.BizDeposit;

/**
 * 存款Service接口
 *
 * @author ruoyi
 * @date 2023-11-13
 */
public interface IBizDepositService extends IService<BizDeposit>
{
    /**
     * 查询存款列表
     *
     * @param bizDeposit 存款
     * @return 存款集合
     */
    public List<BizDeposit> getList(BizDeposit bizDeposit);

    /**
     * 物理删除
     * @param bizDeposit
     * @return 删除结果
     */
    public int physicalDelete(BizDeposit bizDeposit);

    public BigDecimal getTotalRemain(BizDeposit bizDeposit);

    public BigDecimal getDonateRemain(BizDeposit bizDeposit);
}
